package com.jasamedika.medifirst2000.vo;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class AntrianPasienRegistrasiDetailVO extends BaseTransactionVO {

	@Caption(value = "Merchant Invoice No")
	private String merchantInvoiceNo;

	@Caption(value = "Amount")
	private Long amount;

	@Caption(value = "Object Jenis Kartu")
	private JenisKartuVO jenisKartu;

	private Integer jenisKartuId;

	@Caption(value = "Object Cara Bayar")
	private CaraBayarVO caraBayar;

	private Integer caraBayarId;

	public String getMerchantInvoiceNo() {
		return merchantInvoiceNo;
	}

	public void setMerchantInvoiceNo(String merchantInvoiceNo) {
		this.merchantInvoiceNo = merchantInvoiceNo;
	}

	public Long getAmount() {
		return amount;
	}

	public void setAmount(Long amount) {
		this.amount = amount;
	}

	public JenisKartuVO getJenisKartu() {
		return jenisKartu;
	}

	public void setJenisKartu(JenisKartuVO jenisKartu) {
		this.jenisKartu = jenisKartu;
	}

	public CaraBayarVO getCaraBayar() {
		return caraBayar;
	}

	public void setCaraBayar(CaraBayarVO caraBayar) {
		this.caraBayar = caraBayar;
	}

	@Caption(value = "AntrianPasienRegistrasi")
	private AntrianPasienRegistrasiVO antrianPasienRegistrasi;

	public AntrianPasienRegistrasiVO getAntrianPasienRegistrasi() {
		return antrianPasienRegistrasi;
	}

	public void setAntrianPasienRegistrasi(AntrianPasienRegistrasiVO antrianPasienRegistrasi) {
		this.antrianPasienRegistrasi = antrianPasienRegistrasi;
	}

	private String antrianPasienRegistrasiId;

	@Caption(value = "Object AntrianPasienRegistrasiDetail")
	private JenisKartuDetailVO jenisKartuDetail;

	private Integer jenisKartuDetailId;

	public JenisKartuDetailVO getJenisKartuDetail() {
		return jenisKartuDetail;
	}

	public void setJenisKartuDetail(JenisKartuDetailVO jenisKartuDetail) {
		this.jenisKartuDetail = jenisKartuDetail;
	}
}
